игор игор - 18 days ago 8
Ruby Question

Travis reports odd message of corrupted Gemfile.lock

Im using bundler to install stuff and since I have added

, travis started to complain with:

Your Gemfile.lock is corrupt. The following gem is missing from the DEPENDENCIES
section: 'echoe'

Of course, everything works locally. It also works using
. I even installed docker ubuntu and tried, still ok. My
is not corrupt. Same versions of ruby and bundler is used.

What is going on?


This is something related to bundler version. Im using 1.11.0, but got reports that it worked with eg. 1.8.3. ??


We've seen a very similar issue today on BuildKite due to the recent release of a new bundler version https://rubygems.org/gems/bundler/versions/1.11.0

We got the build working by stipulating the version of bundler to install.

gem install -v 1.10.6 bundler --no-rdoc --no-ri

and forcing the use of that

bundle _1.10.6_ install